var insuranceCoverage = {
    settings: {
        insurance_autocompleteUrl: '',
    },
    init: function() {
        this.bindAutoComplete();

        jQ('#companies').bind('change', function () {
            var val = jQ(this).val();
            jQ('#form-company-id').val(val);
        });

        jQ('#branches').bind('change', function () {
            var val = jQ(this).val();
            jQ('#form-branch-id').val(val);
        });

        jQ('#branchAddresses').bind('change', function () {
            var val = jQ(this).val();
            jQ('#form-branch-address-id').val(val);
        });
    },
    bindAutoComplete: function() {
        global.autocomplete.bind(insuranceCoverage.settings.insurance_autocompleteUrl, '#form-insurance-desc', '#form-insurance-id');

    }
};